Bug 134847 - CAN-2004-0803 buffer overflows in libtiff
CAN-2004-0803 buffer overflows in libtiff
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: libtiff (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-06 14:45 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-22 11:00:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch for this issue. (1.99 KB, patch)
2004-10-06 14:49 EDT, Josh Bressers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2004-10-06 14:45:01 EDT
Chris Evans reported to vendor-sec multiple buffer overflows in
libtiff.  These issues could potentially lead to arbitrary code
execution from a malicious tiff image.

This issue also affects RHEL2.1

This issue has been embargoed until Oct 13.
Comment 1 Josh Bressers 2004-10-06 14:49:42 EDT
Created attachment 104851 [details]
Proposed patch for this issue.
Comment 2 Matthias Clasen 2004-10-13 11:34:16 EDT
Fixes are in 3.5.5-17 (RHEL2.1) and 3.5.7-20.1 (RHEL3)
Comment 3 Josh Bressers 2004-10-13 16:15:29 EDT
lifting embargo
Comment 4 Josh Bressers 2004-10-22 11:00:37 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-577.html

Note You need to log in before you can comment on or make changes to this bug.